<?php

namespace App\Module\Widget\WidgetType;

interface WidgetTypeInterface
{
    public static function getTypeSlug(): string;

    public static function getTypeName(): string;

    public static function getConfigSchema(): array;

    public function getData(array $config): array;

    public function getTemplate(): string;

    public static function getAllowedZones(): array;
}
